package jp.mosp.payroll.bonus.dto;

import jp.mosp.common.common.BaseDto;

public class PtSuperiorDto extends BaseDto {
	
	private static final long	serialVersionUID	= -4419951916018329755L;
	
	// フィールド
	private String				kCode				= "";						// 社員コード
	private String				superiorCode		= "";						// サポーター社員コード
																				
	private String				stationCode			= "";						// 社員所属コード
	private String				kName				= "";						// 社員名
	private String				superiorName		= "";						// サポーター社員名
																				
	
	/**
	 * コンストラクタ
	 */
	public PtSuperiorDto() {
		super();
	}
	
	// アクセサメソッド
	public String getKCode() {
		return kCode;
	} // 社員コード
	
	public String getSuperiorCode() {
		return superiorCode;
	} // サポーター社員コード
	
	public void setKCode(String kCode) {
		this.kCode = kCode;
	} // 社員コード
	
	public void setSuperiorCode(String superiorCode) {
		this.superiorCode = superiorCode;
	} // サポーター社員コード
	
	public String getStationCode() {
		return stationCode;
	} // 社員所属コード
	
	public String getKName() {
		return kName;
	} // 社員名
	
	public String getSuperiorName() {
		return superiorName;
	} // サポーター社員名
	
	public void setStationCode(String stationCode) {
		this.stationCode = stationCode;
	} // 社員所属コード
	
	public void setKName(String kName) {
		this.kName = kName;
	} // 社員名
	
	public void setSuperiorName(String superiorName) {
		this.superiorName = superiorName;
	} // サポーター社員名
}
